Skip to content

List the caller's projects.

GET
/v0/projects
curl --request GET \
--url https://infra-hyphae.run/v0/projects \
--header 'Authorization: Bearer <token>'

Projects owned by the caller.

Media typeapplication/json
object
projects
required
Array<object>
object
id
required
string
/^prj_[0-9a-f]{16}$/
name
required
string
state
required
string
Allowed values: stopped running sleeping
created_at
required

RFC 3339, UTC.

string format: date-time
updated_at
required

RFC 3339, UTC.

string format: date-time
native
required
object
pin
required
string
Allowed value: 3.0.0
data_plane
required
string
Allowed value: /v2
Example
{
"projects": [
{
"state": "stopped",
"native": {
"pin": "3.0.0",
"data_plane": "/v2"
}
}
]
}

Missing, malformed, duplicate, or unknown credential (authentication_required).

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid_request authentication_required authorization_denied not_found conflict payload_too_large not_implemented tenant_not_running tenant_running function_runtime_missing function_timeout function_bad_output function_busy orchestrator_unavailable upstream_unavailable internal
message
required
string
Example
{
"error": {
"code": "invalid_request"
}
}
WWW-Authenticate
string
Allowed value: Bearer realm="hyphae-cloud"